import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import {
  IgxButtonModule,
  IgxIconModule,
  IgxProgressBarModule,
  IgxRadioModule,
  IgxRippleModule,
} from 'igniteui-angular';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { CardComponent } from './card/card.component';
import { DashboardCardsComponent } from './dashboard-cards/dashboard-cards.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { DashboardMinigamesComponent } from './dashboard-minigames/dashboard-minigames.component';
import { MinigameCardComponent } from './minigame-card/minigame-card.component';
import { MinigameConveyorRecyclingComponent } from './minigame-conveyor-recycling/minigame-conveyor-recycling.component';
import { MinigameBiotriviaComponent } from './minigame-biotrivia/minigame-biotrivia.component';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [
    AppComponent,
    CardComponent,
    DashboardCardsComponent,
    DashboardComponent,
    DashboardMinigamesComponent,
    MinigameCardComponent,
    MinigameConveyorRecyclingComponent,
    MinigameBiotriviaComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    BrowserAnimationsModule,
    BrowserModule,

    IgxButtonModule,
    IgxRippleModule,
    IgxIconModule,
    IgxRadioModule,
    IgxProgressBarModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
